# samples/03_video_cuda_enc/video_cuda_enc.h File Reference

`#include <fstream>`
`#include "NvVideoEncoder.h"`
`#include <stdint.h>`
`#include "EGL/egl.h"`
`#include "EGL/eglext.h"`

Go to the source code of this file.

## Classes

struct | context_t

## Functions

int | parse_csv_args (context_t *ctx, int argc, char *argv[])

## Function Documentation

int parse_csv_args | ( | context_t * | ctx,
|  | int | argc,
|  | char * | argv[] |
| ) |  |  |

Definition at line 110 of file video_decode_csvparser.cpp.